#!/bin/sh
. /etc/rc.common

vendor="Hawking"
folder="Hawking Wireless Utility"
awake="AwakeHWUN2AUI"

echo "Removing Startup Items..."
sudo /System/Library/StartupItems/WiUtilityUSBStartUp/LoginItem -stringArg /Applications/"$folder"/$awake.app -boolArg NO
sudo chmod -R 755 ~/Library/Preferences/loginwindow.plist
sudo rm -r /System/Library/StartupItems/WiUtilityUSBStartUp

echo "Removing Driver..."
sudo rm -r /System/Library/Extensions/RT2870USBWirelessDriver.kext

echo "Removing Wireless Utitity..."
sudo killall 'HWUN2A Wireless Utility'
sudo killall '$awake'
sudo rm -r /Applications/"$folder"
sudo rm ~/Library/Preferences/com.$vendor.RaConfig.plist

echo "Removing Frameworks..."
sudo rm -r /Library/Frameworks/RaWLAPI.Framework

echo "Removing Package"
sudo rm -r /Library/Receipts/USBWireless-Panther.pkg

echo "Uninstall Complete."
